# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::InterpolatorFVec2 Class Reference

Abstract class that interpolates vl::fvec2 values. More...

`#include <Interpolator.hpp>`

Inheritance diagram for vl::InterpolatorFVec2:

List of all members.

## Public Member Functions

virtual vl::fvec2 | computePoint (float t) const =0
| Samples the interpolator at the given point.

## Detailed Description

Abstract class that interpolates vl::fvec2 values.

## Member Function Documentation

virtual vl::fvec2 vl::InterpolatorFVec2::computePoint | ( | float | t | ) | const`[pure virtual]`

Samples the interpolator at the given point.

Implemented in vl::CatmullRomInterpolatorFVec2, and vl::LinearInterpolatorFVec2.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Interpolator.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:36 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.